Bug 317911 - [hts-5.1.1][i386][storage][EL4-U6] - Storage testing FAIL with an Error
[hts-5.1.1][i386][storage][EL4-U6] - Storage testing FAIL with an Error
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
i386 Linux
low Severity low
: ---
: ---
Assigned To: YangKun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 04:12 EDT by Satyabrata Maitra
Modified: 2008-07-16 17:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 10:17:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
i386-storage-tar file (420.00 KB, application/x-tar)
2007-10-04 04:12 EDT, Satyabrata Maitra
no flags Details
hts-5.1-4-i386-EL4-U6 Files (6.61 MB, application/x-tar)
2007-10-16 07:27 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2007-10-04 04:12:16 EDT
Description of problem:
Storage test for i386 EL4-U6 with hts-5.1.1 is FAIL, with a message in
output.log - " Can not be tested" and an Error too shown!
.log files are attached with this bug.

Version-Release number of selected component (if applicable):
hts-5.1.1
Tree Used : EL4-U6-20070927.0

How reproducible:
Teied Once, and reproduced.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Failing with an error

Expected results:
It should atleast complete the test.

Additional info:
Comment 1 Satyabrata Maitra 2007-10-04 04:12:17 EDT
Created attachment 215571 [details]
i386-storage-tar file
Comment 2 Greg Nichols 2007-10-04 10:08:21 EDT
The error is as follows:

Error: sdb is part of a RAID set.
It cannot be tested. You may need to reinstall.
...finished running ./storage.py, exit code=1
Comment 3 YangKun 2007-10-08 04:50:19 EDT
Hi Satyabrata,

I checked the error log. "sda" and "sdb" formed a "software-RAID" on the test
machine. But the STORAGE test should not be run on "software-RAID". 

We do not test "software-RAID" and it should never be used in Hardware
Certification. So could you please remove the "software-RAID" and re-test(you
may need to re-install the OS) ?

Thanks very much!
-YK
Comment 4 Satyabrata Maitra 2007-10-09 01:33:46 EDT
Hi YK

Ok, no prob for me to retest it. But may I know how to remove "software RAID"?
Any command I have to use? or any specific procedure I have to follow when
install O.S? Please inform. How will I be ensured that Software RAID is not
installed in my system or any System Under Test? Please inform.
Comment 5 YangKun 2007-10-09 04:52:56 EDT
(In reply to comment #4)
> Hi YK
> 
> Ok, no prob for me to retest it. But may I know how to remove "software RAID"?
> Any command I have to use? or any specific procedure I have to follow when
> install O.S? Please inform. How will I be ensured that Software RAID is not
> installed in my system or any System Under Test? Please inform.

you can read following:
    1)
http://www.redhat.com/docs/manuals/enterprise/RHEL-5-manual/Deployment_Guide-en-US/s1-raid-config.html

    2) http://tldp.org/HOWTO/Software-RAID-HOWTO.html

    3) man md

    4) man mdadm

Regards
-YK
Comment 6 Satyabrata Maitra 2007-10-16 07:27:49 EDT
Created attachment 228571 [details]
hts-5.1-4-i386-EL4-U6 Files

Hi YK

I retested this bug with hts-5.1-4. But this time it did now show any error for
i386-EL4-U6.
But one thing is there to concern, probably ths system I tested this time, was
not with Software-RAID. If so, I need to find out a system like before, and
test it and comment then. Anyway, this time storage test is PASSED.
Anyway, I am attaching all the files of this test here.
Comment 7 YangKun 2007-10-25 10:17:16 EDT
Hi Satyabrata,

Then I'm going to close this bug now, you may re-open it or create a new bug if
you meet this issue again.

Thanks
-YK

Note You need to log in before you can comment on or make changes to this bug.